Commit 32e4badb authored by yuri's avatar yuri
Browse files

Move: devel/libdouble-conversion -> devel/double-conversion

While in devel/double-conversion, order USExx clauses, and replace CMAKE_POSITION_INDEPENDENT_CODE with BUILD_SHARED_LIBS since shared libs should be a default

Update and bump databases/clickhouse

Approved by:	portmgr blanket
parent f7e364eb
...@@ -11622,3 +11622,4 @@ net-p2p/verlihub-plugins-luascript||2019-02-16|Has expired: Verlihub uses legacy ...@@ -11622,3 +11622,4 @@ net-p2p/verlihub-plugins-luascript||2019-02-16|Has expired: Verlihub uses legacy
net-p2p/verlihub-plugins-messanger||2019-02-16|Has expired: Verlihub uses legacy GeoIP 1 format which no longer works; switch to GeoIP 2 where possible net-p2p/verlihub-plugins-messanger||2019-02-16|Has expired: Verlihub uses legacy GeoIP 1 format which no longer works; switch to GeoIP 2 where possible
net-p2p/verlihub-plugins-stats||2019-02-16|Has expired: Verlihub uses legacy GeoIP 1 format which no longer works; switch to GeoIP 2 where possible net-p2p/verlihub-plugins-stats||2019-02-16|Has expired: Verlihub uses legacy GeoIP 1 format which no longer works; switch to GeoIP 2 where possible
www/mod_geoip2|www/mod_maxminddb|2019-02-16|Has expired: Uses legacy GeoIP 1 format which no longer works; switch to GeoIP 2 where possible www/mod_geoip2|www/mod_maxminddb|2019-02-16|Has expired: Uses legacy GeoIP 1 format which no longer works; switch to GeoIP 2 where possible
devel/libdouble-conversion|devel/double-conversion|2019-02-16|Rename to match the project name on github and on most other systems, and in installed cmake files
...@@ -5,7 +5,7 @@ PORTNAME= clickhouse ...@@ -5,7 +5,7 @@ PORTNAME= clickhouse
PORTVERSION= 18.14.18 PORTVERSION= 18.14.18
DISTVERSIONPREFIX= v DISTVERSIONPREFIX= v
DISTVERSIONSUFFIX= -stable DISTVERSIONSUFFIX= -stable
PORTREVISION= 2 PORTREVISION= 3
CATEGORIES= databases CATEGORIES= databases
MAINTAINER= proler@gmail.com MAINTAINER= proler@gmail.com
...@@ -18,9 +18,9 @@ ONLY_FOR_ARCHS_REASON= "Only supported on amd64" ...@@ -18,9 +18,9 @@ ONLY_FOR_ARCHS_REASON= "Only supported on amd64"
BUILD_DEPENDS= bash:shells/bash \ BUILD_DEPENDS= bash:shells/bash \
sparsehash>=0:devel/sparsehash \ sparsehash>=0:devel/sparsehash \
cctz>=0:devel/cctz \ cctz>=0:devel/cctz
libdouble-conversion>=0:devel/libdouble-conversion LIB_DEPENDS= libdouble-conversion.so:devel/double-conversion \
LIB_DEPENDS= libtcmalloc.so:devel/google-perftools \ libtcmalloc.so:devel/google-perftools \
libodbc.so:databases/unixODBC \ libodbc.so:databases/unixODBC \
libltdl.so:devel/libltdl \ libltdl.so:devel/libltdl \
libicudata.so:devel/icu \ libicudata.so:devel/icu \
......
...@@ -478,6 +478,7 @@ ...@@ -478,6 +478,7 @@
SUBDIR += doctorj SUBDIR += doctorj
SUBDIR += dolphin-plugins SUBDIR += dolphin-plugins
SUBDIR += dotconf SUBDIR += dotconf
SUBDIR += double-conversion
SUBDIR += doxygen SUBDIR += doxygen
SUBDIR += dparser SUBDIR += dparser
SUBDIR += dprog SUBDIR += dprog
...@@ -1414,7 +1415,6 @@ ...@@ -1414,7 +1415,6 @@
SUBDIR += libdlna SUBDIR += libdlna
SUBDIR += libdnsres SUBDIR += libdnsres
SUBDIR += libdombey SUBDIR += libdombey
SUBDIR += libdouble-conversion
SUBDIR += libdparse SUBDIR += libdparse
SUBDIR += libds SUBDIR += libds
SUBDIR += libdsp SUBDIR += libdsp
......
# Created by: Waitman Gobble <waitman@waitman.net> # Created by: Waitman Gobble <waitman@waitman.net>
# $FreeBSD$ # $FreeBSD$
PORTNAME= libdouble-conversion PORTNAME= double-conversion
PORTVERSION= 3.0.0 PORTVERSION= 3.0.0
DISTVERSIONPREFIX= v DISTVERSIONPREFIX= v
CATEGORIES= devel CATEGORIES= devel
...@@ -15,11 +15,10 @@ LICENSE_FILE= ${WRKSRC}/LICENSE ...@@ -15,11 +15,10 @@ LICENSE_FILE= ${WRKSRC}/LICENSE
#BROKEN_aarch64= Fails to build: Target architecture was not detected as supported by Double-Conversion #BROKEN_aarch64= Fails to build: Target architecture was not detected as supported by Double-Conversion
USES= cmake USES= cmake
USE_LDCONFIG= yes
CMAKE_ARGS= -DCMAKE_POSITION_INDEPENDENT_CODE=1
USE_GITHUB= yes USE_GITHUB= yes
GH_ACCOUNT= google GH_ACCOUNT= google
GH_PROJECT= double-conversion USE_LDCONFIG= yes
CMAKE_ON= BUILD_SHARED_LIBS
.include <bsd.port.mk> .include <bsd.port.mk>
...@@ -11,4 +11,6 @@ lib/cmake/double-conversion/double-conversionConfig.cmake ...@@ -11,4 +11,6 @@ lib/cmake/double-conversion/double-conversionConfig.cmake
lib/cmake/double-conversion/double-conversionConfigVersion.cmake lib/cmake/double-conversion/double-conversionConfigVersion.cmake
lib/cmake/double-conversion/double-conversionLibraryDepends-%%CMAKE_BUILD_TYPE%%.cmake lib/cmake/double-conversion/double-conversionLibraryDepends-%%CMAKE_BUILD_TYPE%%.cmake
lib/cmake/double-conversion/double-conversionLibraryDepends.cmake lib/cmake/double-conversion/double-conversionLibraryDepends.cmake
lib/libdouble-conversion.a lib/libdouble-conversion.so
lib/libdouble-conversion.so.1
lib/libdouble-conversion.so.1.0.0
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment